#blatently stolen from legion daraths no-wreckage mod
do  
	local oldModBlueprints = ModBlueprints

	function ModBlueprints(all_bps)

		LOG('Omega ModBlueprints: Calling oldModBlueprints...')
		oldModBlueprints(all_bps)
		LOG('Omega ModBlueprints: Modifying blueprints...')

		#loop through all blueprints
		for id,bp in all_bps.Unit do

			local TempString = ''

			#if the unit doesnt have an intel table, add one
			if not bp.Intel then
				bp.Intel = {}
			end

			bp.Intel.RadarStealth = true	#enable stealth setting so we can enable/disable stealth for all units

		#temporary balance fix - need to manually adjust units and remove this
			if bp.Intel.RadarRadius > 0 then
				local CatCounter = 0

				for id, Cat in bp.Categories do
					if (Cat == 'MOBILE') or (Cat == 'OVERLAYRADAR') then
						CatCounter = CatCounter + 1
					end
				end

				if CatCounter >= 2 then
					bp.Intel.RadarRadius = bp.Intel.RadarRadius * 2
				end
			end
		#end temporary balance hack

			#if the unit doesnt have an abilities table, add one
			if not bp.Display.Abilities then
				bp.Display.Abilities = {}
			end

			#give the units an "abilities" display that alerts players to the radar signature of the unit
			if bp.Intel.RadarSignatureMovementMod then
				TempString = bp.Intel.RadarSignatureMovementMod .. "0000"
			else
				TempString = 0.200

				if bp.Categories then
					for id, Cat in bp.Categories do
						if Cat == 'STRUCTURE' then
							TempString = 0.000	#temporarily inaccurate, only changes UI not value
							break
						end
					end
				end
			end

			#table.insert(bp.Display.Abilities, 1, ("Radar Movement Mod: " .. string.sub(((bp.Intel.RadarSignatureMovementMod or 0.2) .. "0000"), 1, 5)))
			table.insert(bp.Display.Abilities, 1, ("Radar Movement Mod: " .. string.sub((TempString), 1, 5)))

			table.insert(bp.Display.Abilities, 1, ("Radar Signature: " .. string.sub(((bp.Intel.RadarSignature or 0.8) .. "0000"), 1, 5)))
		end

		LOG('Omega ModBlueprints: End')
	end
end
